# Created by pyp2rpm-3.3.4
%global pypi_name jaraco.text
%global pkg_name jaraco-text

Name:           python-%{pkg_name}
Version:        3.2.0
Release:        1%{?dist}
Summary:        Module for text manipulation

License:        MIT
URL:            https://github.com/jaraco/jaraco.text
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:       python3dist(jaraco.functools)
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15
BuildRequires:  python3dist(sphinx)

%description
Module for text manipulation

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

Requires:       python3dist(importlib-resources)
Requires:       python3dist(jaraco.functools)
Requires:       python3dist(jaraco.packaging) >= 3.2
Requires:       (python3dist(pytest) >= 3.5 with (python3dist(pytest) < 3.7.3 or python3dist(pytest) > 3.7.3))
Requires:       python3dist(pytest-black-multipy)
Requires:       python3dist(pytest-checkdocs) >= 1.2.3
Requires:       python3dist(pytest-cov)
Requires:       python3dist(pytest-flake8)
Requires:       python3dist(rst.linker) >= 1.9
Requires:       python3dist(six)
Requires:       python3dist(sphinx)
%description -n python3-%{pkg_name}
Module for text manipulation

%package -n python-%{pkg_name}-doc
Summary:        jaraco.text documentation
%description -n python-%{pkg_name}-doc
Documentation for jaraco.text

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pkg_name}.egg-info
# disable flake8 in the tests, need a newer version of pytest-flake8
# https://src.fedoraproject.org/rpms/python-pytest-flake8/pull-request/2
# AttributeError: 'Application' object has no attribute 'make_notifier'
sed -i 's/ --flake8//' pytest.ini
sed -i 's/ --black//' pytest.ini
sed -i 's/ --cov//' pytest.ini

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
LANG=C.utf-8 %{__python3} -m pytest --ignore=build

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pkg_name}-doc
%doc html
%license LICENSE

%changelog
* Fri May 08 2020 Dan Radez <dradez@redhat.com> - 3.2.0-1
- Initial package.
